/*
 * TextureManager.h
 *
 *  Created on: Feb 11, 2020
 *      Author: ayoungblood
 */

#ifndef SRC_TEXTUREMANAGER_H_
#define SRC_TEXTUREMANAGER_H_

// #include <SDL2/SDL_image.h>
#include "../game/Game.hpp"

class TextureManager
{
	public:
		static SDL_Texture* LoadTexture(const char* fileName);
		static void Draw(SDL_Texture* tex, SDL_Rect src, SDL_Rect dest, SDL_RendererFlip flip);
        static void DrawCollider(SDL_Rect colliderRect);
};

#endif /* SRC_TEXTUREMANAGER_H_ */
